Get voice
Retrieve metadata for a voice.
Retrieve metadata for a voice.
Headers
AuthorizationRequiredBearer <SONIOX_API_KEY>Path parameters
voice_idRequiredstring"uuid"Response
200
OK
idRequiredstringUnique identifier of the voice.
"uuid"nameRequiredstringName of the voice.
filenameRequiredstringOriginal file name of the uploaded audio clip.
created_atRequiredstringUTC timestamp indicating when the voice was created.
"date-time"modelsRequiredarray<object>Voice status for each available model. A model with status 'not_computed' is not prepared yet (e.g. it was released after the voice was created); call recompute to prepare the voice for it.
Errors
OK
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"filename": "string",
"created_at": "2019-08-24T14:15:22Z",
"models": [
{
"model": "string",
"status": "not_computed",
"error_type": "string",
"error_message": "string"
}
]
}Unauthorized
{
"status_code": 0,
"error_type": "string",
"message": "string",
"validation_errors": [
{
"error_type": "string",
"location": "string",
"message": "string"
}
],
"request_id": "string",
"more_info": "string"
}Not Found
{
"status_code": 0,
"error_type": "string",
"message": "string",
"validation_errors": [
{
"error_type": "string",
"location": "string",
"message": "string"
}
],
"request_id": "string",
"more_info": "string"
}Too Many Requests
{
"status_code": 0,
"error_type": "string",
"message": "string",
"validation_errors": [
{
"error_type": "string",
"location": "string",
"message": "string"
}
],
"request_id": "string",
"more_info": "string"
}Internal Server Error
{
"status_code": 0,
"error_type": "string",
"message": "string",
"validation_errors": [
{
"error_type": "string",
"location": "string",
"message": "string"
}
],
"request_id": "string",
"more_info": "string"
}Get voices count GET
Returns the total number of voices in your project.
Recompute voice POST
Prepares the voice for use with available models it is not ready for yet. Use this after a new model is released to make an existing voice usable with it. Models the voice is already prepared for are left unchanged.